package com.tzld.piaoquan.api.service;

import com.tzld.piaoquan.api.model.bo.BucketDataParam;
import com.tzld.piaoquan.api.model.bo.MsgData;
import com.tzld.piaoquan.api.model.bo.ReplyBucketData;
import com.tzld.piaoquan.api.model.bo.bucketDataGenerateParam;
import com.tzld.piaoquan.api.model.vo.VideoCharacteristicVO;
import com.tzld.piaoquan.growth.common.model.po.CgiReplyBucketData;

import java.util.List;

public interface CgiReplyService {
    ReplyBucketData getRgiReplyData(BucketDataParam bucketDataParam);

    List<CgiReplyBucketData> getCgiReplyBucketDataListByGhId(String ghId, String strategy);

    List<CgiReplyBucketData> getCgiReplyBucketDataListByGhIds(List<String> ghIds, String strategy);

    List<CgiReplyBucketData> getCgiReplyBucketDataListByVideoId(Long videoId);

    List<CgiReplyBucketData> getCgiReplyBucketDataListByGhIdVideoId(String ghId, List<Long> videoIds, String strategy);

    List<CgiReplyBucketData> getCgiReplyBucketDataListByRootSourceId(String rootSourceId);

    VideoCharacteristicVO getVideoCharacteristicByRootSourceId(String rootSourceId);

    MsgData bucketDataGenerate(bucketDataGenerateParam param);

    Boolean checkExistRootSourceId(String rootSourceId);
}
